html {
    height: 100vh;
    padding: 0;
    margin: 0;
}

body {
    padding: 0 0 210px 0;
    margin: 0;
    min-height: 100%;
    background-image: url('/web/img/theme/promo-head.png');
    background-size: contain;
    background-repeat: no-repeat no-repeat;
    background-position: 0 0;
    position: relative;

}

a:hover {
    text-decoration: none;
}

.img-fluid {
    width: 100%;
    height: auto;
}

.wrap {
    min-height: 100%;
    height: auto;
    margin: 0 auto -60px;
    padding: 0 0 60px;
}

.wrap>.container {
    padding: 70px 15px 20px;
}

.footer {
    background-color: #00b059;
    padding-top: 25px;
    padding-bottom: 11px;
    color: white;
    /* clear: both;
    position: relative; */
    height: 200px;
    /* margin-top: -200px; */
    position: absolute;
    bottom: 0;
    width: 100%;

}

.footer img {
    margin-top: 15px;
    height: 30px;
    margin-right: 10px;
    margin-bottom: 50px;
}

.footer span {
    font-size: 18px;
}

.copyright {
    font-size: 14px;
}

.jumbotron {
    text-align: center;
    background-color: transparent;
}

.jumbotron .btn {
    font-size: 21px;
    padding: 14px 24px;
}

.not-set {
    color: #c55;
    font-style: italic;
}

/* add sorting icons to gridview sort links */
a.asc:after,
a.desc:after {
    position: relative;
    top: 1px;
    display: inline-block;
    font-family: 'Glyphicons Halflings';
    font-style: normal;
    font-weight: normal;
    line-height: 1;
    padding-left: 5px;
}

a.asc:after {
    content:
        /*"\e113"*/
        "\e151";
}

a.desc:after {
    content:
        /*"\e114"*/
        "\e152";
}

.sort-numerical a.asc:after {
    content: "\e153";
}

.sort-numerical a.desc:after {
    content: "\e154";
}

.sort-ordinal a.asc:after {
    content: "\e155";
}

.sort-ordinal a.desc:after {
    content: "\e156";
}

.grid-view th {
    white-space: nowrap;
}

.hint-block {
    display: block;
    margin-top: 5px;
    color: #999;
}

.error-summary {
    color: #a94442;
    background: #fdf7f7;
    border-left: 3px solid #eed3d7;
    padding: 10px 20px;
    margin: 0 0 15px 0;
}

/* align the logout "link" (button in form) of the navbar */
.nav li>form>button.logout {
    padding: 15px;
    border: none;
}


.nav>li>form>button.logout:focus,
.nav>li>form>button.logout:hover {
    text-decoration: none;
}

.nav>li>form>button.logout:focus {
    outline: none;
}

.d-flex {
    display: flex;
}

.flex-column {
    flex-direction: column;
}

.justify-content-around {
    justify-content: space-around;
}

.flex-wrap {
    flex-wrap: wrap;
}


/* .site-index {
    padding: 40px 0 60px;
    display: flex;
    flex-direction: column;
    align-items: center;
} */

.justify-content-between {
    justify-content: space-between;
}

.p-3{
    padding: 1rem;
}

.site-index form {
    width: 400px;
    margin-top: 33px;
}

.form-control {
    background-color: #F6F6F6;
}

.code-img {
    background-color: #F6F6F6;
    display: flex;
    justify-content: center;
    padding: 11px 0;
    border-radius: 6px;
    border: 1px solid #ccc;
    margin-bottom: 25px;
}

.btn {
    width: 200px;
}

.buttons {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.buttons .btn {
    background-color: #00b059;
    border-radius: 16px;
    font-size: 14px;
    line-height: 24px;
    padding: 12px 5px;
}

.buttons a.btn {
    background-color: white;
    color: #00b059;
}

.modal-header {
    padding: 15px 15px 0;
    border-bottom: none;
}

.result-modal-wrap {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.result-modal-wrap h3 {
    margin-top: 0;
    margin-bottom: 0;
    font-size: 22px;
    line-height: 24px;
}

.result-modal-wrap p {
    margin-top: 40px;
}

.result-modal-wrap strong {
    color: #00b059;
    margin-bottom: 40px;
    font-size: 18px;
    line-height: 20px;
}

.search-wrap {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 1rem;
    border-radius: 16px;
    width: 400px;
    text-align: center;
    margin-top: 3rem;
}

.search-wrap.success strong {
    color: #00b059;
    margin-bottom: 40px;
    font-size: 18px;
    line-height: 20px;
}

.search-wrap.success {
    background-color: #07f3511c;
    color: #0f5132;
}

.search-wrap.error {
    background-color: rgba(255, 0, 0, 0.13);
    color: #842029;
}

.search-wrap p {
    margin-top: 1rem;
}

.site-index h4 {
    text-align: center;
    width: 400px;
    font-weight: bold;
    margin-top: 32px;
}

.cards {
    width: 400px;
}

.cards-wrap {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.card {
    display: flex;
    min-height: 132px;
    border: 1px solid #00b059;
    margin: 13px 0;
}

.card p {
    margin: 0;
    padding: 10px 10px 10px 20px;
}

.card span {
    min-width: 20%;
    background-color: #00b059;
    color: white;
    font-size: 32px;
    text-align: center;
    font-weight: bold;
}

.logo {
    width: 50%;
    height: auto;
}

.logo-wrap {
    display: flex;
    /* justify-content: center; */
    padding: 30px 0;
}

.logo-link-wrap {
    display: flex;
    /* justify-content: center; */
    justify-content: end;
    align-items: center;
    height: 150px;
}

.logo-link {
    display: inline-block;
    background-color: #fbd93a;
    padding: 10px 20px;
    border-radius: 20px;
    font-weight: bold;
    color: #00b059;
}

.gift-card {
    background-color: #fff;
    box-shadow: 2px 2px 15px 3px rgba(0, 0, 0, 0.2);
    border-radius: 15px;
    display: block;
    margin-bottom: 3rem;
    font-size: medium;
    font-weight: bold;
    color: black;

}

.gift-card:hover {
    text-decoration: none;
    color: black;
}

.gift-card-img {
    /* border-top-right-radius: 15px;
    border-top-left-radius: 15px; */
    border-radius: 15px;
    

}

.gift-card-bottom {
    display: flex;
    width: 100%;
    justify-content: space-between;
    padding: 5px 20px;
}

.gift-card-bottom img {
    width: 25px;
}

.gift-img {
    border-radius: 15px;
}



@media(max-width:767px) {
    body {
        background-image: url('/web/img/theme/promo-head-mobil.png');
        padding: 0 0 250px 0;

    }

    .nav li>form>button.logout {
        display: block;
        text-align: left;
        width: 100%;
        padding: 10px 15px;
    }

    .footer img {
        margin-top: 20px;
        height: 20px;
        margin-right: 10px;
        margin-bottom: 40px;
    }

    .footer {
        padding-left: 10px;
        height: 200px;
    }

    .site-index form {
        width: 80%;
    }

    .cards {
        width: 95%;
    }

    .site-index h4 {
        width: 95%;
    }

    h2 {
        text-align: center;
    }

    .site-index form .d-flex .form-group {
        width: 48%;
    }

    .result-modal-wrap strong {
        font-size: 24px;
    }

    .search-wrap {
        width: auto;
    }

    .search-wrap.success strong {
        font-size: 24px;
    }

    .logo-wrap {
        padding: 5px 0;
        justify-content: center;

    }

    .logo {
        width: 20%;
        height: auto;
    }

    .logo-link-wrap {
        height: 80px;
    }

    .logo-link {
        padding: 5px 10px;
        border-radius: 20px;
        font-weight: bold;
        color: #00b059;
    }
}